package backend

import pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"

func (s *StoreEntry) DrugCategoryMaps() map[pasturePb.DrugCategory_Kind]string {
	res := make(map[pasturePb.DrugCategory_Kind]string)
	for _, v := range s.DrugCategoryEnumList() {
		res[pasturePb.DrugCategory_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) DrugUsageMaps() map[pasturePb.DrugUsage_Kind]string {
	res := make(map[pasturePb.DrugUsage_Kind]string)
	for _, v := range s.DrugUsageEnumList() {
		res[pasturePb.DrugUsage_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) ExposeEstrusTypeMap() map[pasturePb.ExposeEstrusType_Kind]string {
	res := make(map[pasturePb.ExposeEstrusType_Kind]string)
	for _, v := range s.ExposeEstrusTypeEnumList() {
		res[pasturePb.ExposeEstrusType_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) FrozenSemenTypeMap() map[pasturePb.FrozenSemenType_Kind]string {
	res := make(map[pasturePb.FrozenSemenType_Kind]string)
	for _, v := range s.FrozenSemenTypeEnumList() {
		res[pasturePb.FrozenSemenType_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) UnitMap() map[pasturePb.Unit_Kind]string {
	res := make(map[pasturePb.Unit_Kind]string)
	for _, v := range s.UnitEnumList() {
		res[pasturePb.Unit_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) WeekMap() map[pasturePb.Week_Kind]string {
	res := make(map[pasturePb.Week_Kind]string)
	for _, v := range s.WeekEnumList() {
		res[pasturePb.Week_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) CowTypeMap() map[pasturePb.CowType_Kind]string {
	res := make(map[pasturePb.CowType_Kind]string)
	for _, v := range s.CowTypeEnumList() {
		res[pasturePb.CowType_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) CowStatusMap() map[pasturePb.CowStatus_Kind]string {
	res := make(map[pasturePb.CowStatus_Kind]string)
	for _, v := range s.CowStatusEnumList() {
		res[pasturePb.CowStatus_Kind(v.Value)] = v.Label
	}
	return res
}

func (s *StoreEntry) CowKindMap() map[pasturePb.CowKind_Kind]string {
	res := make(map[pasturePb.CowKind_Kind]string)
	for _, v := range s.CowKindEnumList() {
		res[pasturePb.CowKind_Kind(v.Value)] = v.Label
	}
	return res
}
